<?php
/*
 * e107 website system
 *
 * Copyright (C) 2008-2013 e107 Inc (e107.org)
 * Released under the terms and conditions of the
 * GNU General Public License (http://www.gnu.org/licenses/gpl.txt)
 *
 */

require_once("../../class2.php");
if (!is_object($tp)) $tp = new e_parse;
if (!getperms("P") || !e107::isInstalled('survey')) 
{
	e107::redirect('admin');
	exit;
}
$e_ssub_cat = 'survey';

e107::includeLan(e_PLUGIN.'survey/languages/'.e_LANGUAGE.'_admin_survey.php');
require_once(e_ADMIN."auth.php");
require_once(e_PLUGIN."survey/survey_class.php");
require_once(e_HANDLER."userclass_class.php");
require_once(e_HANDLER."form_handler.php"); // FIXME using 'form' instead of 'e_form'

if(isset($_POST)) 
{
	$_POST = strip_if_magic($_POST);
}

$rs = new form;
$survey = new survey;
$frm = e107::getForm();
$mes = e107::getMessage();


if (isset($_POST['reset']))
{
	unset($survey_id, $_POST['survey_title'], $_POST['survey_option'], $_POST['activate'], $_POST['multipleChoice'], $_POST['showResults'], $_POST['startday'], $_POST['startmonth'], $_POST['startyear'], $_POST['endday'], $_POST['endmonth'], $_POST['endyear']);
	define("RESET", TRUE);
} 

if (varset($_POST['delete'])) 
{
	$survey->delete_survey(key($_POST['delete'])); // TODO check security?
	$mes->addSuccess(LAN_DELETED);
	unset($survey_id, $_POST['survey_title'], $_POST['survey_option'], $_POST['activate']);
	$_GET['mode']='list';
}


if (isset($_POST['submit']))
{
	if($_POST['survey_title'])
	{
		define("SURVEYID",$_POST['survey_id']);
		$survey->submit_survey();
		$mes->addSuccess(LAN_CREATED);
		unset($_POST['survey_title'], $_POST['survey_option'], $_POST['activate'], $_POST['survey_comment']);
	}
	else
	{
		$mes->addError(LAN_REQUIRED_BLANK);
	}
	$_GET['mode']='list';

}

if (isset($_POST['preview']))
{
	// Can't have everyone voting if tracking method is user ID
	if (($_POST['surveyUserclass'] == e_UC_PUBLIC) && ($_POST['storageMethod'] == 2)) $_POST['surveyUserclass'] = e_UC_MEMBER;
	$survey->render_survey($_POST, "preview");
}

if (varset($_POST['edit']) || varset($_GET['mode'])=='create' && !varset($_POST['submit']))
{
		$_GET['mode']='create';
		if($_POST['edit'])
		{
			edit_survey();
			define("SURVEYACTION",'edit');
		}
			
		$survey_total = $sql->select("surveys");
		$text = $survey -> renderSurveyForm();

		if (varset($_GET['mode'])=='create')
		{
		$ns->tablerender(LAN_PLUGIN_SURVEY_NAME.SEP.LAN_CREATE, $mes->render() . $text);
		}
		if (varset($_GET['mode'])=='edit')
		{
		$ns->tablerender(LAN_PLUGIN_SURVEY_NAME.SEP.LAN_EDIT, $mes->render() . $text);
		}
}


if(!varset($_POST['edit']) && ($_GET['mode']=="list" || !$_GET['mode']))
{
	survey_list();
}

require_once(e_ADMIN."footer.php");

function edit_survey()
{
	
	$sql = e107::getDb();
	$id = key($_POST['edit']);
	
	if ($sql->select("surveys", "*", "survey_id=".$id)) 
	{
		$_GET['mode'] = 'create';
		$row = $sql->fetch();
		extract($row); // FIXME

		$tmpArray = explode(chr(1), $survey_options);

		foreach($tmpArray as $option)
		{
			$_POST['survey_option'][] = $option;
		}

		$_POST['survey_id'] = $id;
		$_POST['activate'] = $survey_active;
		$_POST['option_count'] = count($_POST['survey_option']);
		$_POST['survey_title'] = $survey_title;
		$_POST['survey_comment'] = $survey_comment;

		if ($survey_start_datestamp)
		{
			$tmp = getdate($survey_start_datestamp);
			$_POST['startmonth'] = $tmp['mon'];
			$_POST['startday'] = $tmp['mday'];
			$_POST['startyear'] = $tmp['year'];
		}
		if ($survey_end_datestamp)
		{
			$tmp = getdate($survey_end_datestamp);
			$_POST['endmonth'] = $tmp['mon'];
			$_POST['endday'] = $tmp['mday'];
			$_POST['endyear'] = $tmp['year'];
		}

		$_POST['multipleChoice'] = $survey_allow_multiple;
		$_POST['showResults'] = $survey_result_type;
		// Can't have everyone voting if tracking method is user ID
		$_POST['surveyUserclass'] = (($survey_vote_userclass == e_UC_PUBLIC) && $survey_storage_method == 2) ? e_UC_MEMBER : $survey_vote_userclass;
		$_POST['storageMethod'] = $survey_storage_method;
	}
}

function survey_list()
{
	$sql = e107::getDb();
	$ns = e107::getRender();
	$tp = e107::getParser();
	$frm = e107::getForm();
	$mes = e107::getMessage();
	
	global $user_pref;
	if(isset($_POST['etrigger_ecolumns'])) //TODO User 
	{
		$user_pref['admin_survey_columns'] = $_POST['e-columns'];
		save_prefs('user');
	}
	
	$fieldpref = (varset($user_pref['admin_survey_columns'])) ? $user_pref['admin_survey_columns'] : array("survey_id","survey_title","survey_options","survey_vote_userclass"); ;

	//TODO Add more column options. 
	$fields = array(
			'survey_id'				=> array('title'=> LAN_ID, 'width'=>'5%', 'forced'=> TRUE),
            'survey_title'	   		=> array('title'=> POLLAN_3, 'width'=>'auto'),
			'survey_options' 			=> array('title'=> POLLAN_4, 'type' => 'text', 'width' => 'auto', 'thclass' => 'left' ),	 // No real vetting
		//	'survey_start_datestamp' 	=> array('title'=> LAN_AUTHOR, 'type' => 'text', 'width' => 'auto', 'thclass' => 'left first'), // Display name
		//	'survey_end_datestamp' 	=> array('title'=> LAN_DATE, 'type' => 'text', 'width' => 'auto'),	// User name
            'survey_vote_userclass' 	=> array('title'=> LAN_USERCLASS, 'type' => 'text', 'width' => 'auto'),	 	// Photo
			
			'options' 				=> array('title'=> LAN_OPTIONS, 'forced'=>TRUE, 'width' => '10%', 'thclass' => 'center last')
	);
		
	
	
	$text = "
		<form action='".e_SELF."' method='post' id='del_survey'>";
	
	if ($survey_total = $sql->select("surveys", "*")) 
	{
		$text .= "<table class='table adminlist'>";
		$text .= $frm->colGroup($fields,$fieldpref).
				$frm->thead($fields,$fieldpref);
	    $text .= "<tbody>";		
			
		while ($row = $sql->fetch())
		{
			extract($row); // FIXME
			
			$surveyopts = explode(chr(1),$survey_options);
			
			$surveyopts = array_filter($surveyopts);
			
			$text .= "
			<tr>
				<td>$survey_id</td>";
				$text .= (in_array("survey_title",$fieldpref)) ? "<td class='left'>".$tp->toHTML($survey_title, TRUE,"no_hook, emotes_off, defs")."</td>" : "";              
                $text .= (in_array("survey_options",$fieldpref)) ? "<td class='left'><ul><li>".implode("</li><li>",$surveyopts)."</li></ul></td>" : "";
		 		$text .= (in_array("survey_comment",$fieldpref)) ? "<td>".($survey_comment ? LAN_YES : LAN_NO)."</td>" : "";
				$text .= (in_array("survey_vote_userclass",$fieldpref)) ? "<td>".(r_userclass_name($survey_vote_userclass))."</td>" : "";
				
				$text .= "
				<td class='center' style='white-space:nowrap'>
					<button class='btn btn-default btn-secondary btn-large' type='submit' name='edit[{$survey_id}]' value='edit' alt='".LAN_EDIT."' title='".LAN_EDIT."' >".ADMIN_EDIT_ICON."</button>
					<button class='btn btn-default btn-secondary btn-large action delete' type='submit' name='delete[$survey_id]' value='del' onclick=\"return jsconfirm('".$tp->toJS(LAN_CONFIRMDEL." [".$survey_id."]")."') \" title='".LAN_DELETE."' >".ADMIN_DELETE_ICON."</button>
				</td>
			</tr>";
		}
		$text .= "</tbody></table>";
	}
	else 
	{
		$mes->addInfo(LAN_NO_RECORDS_FOUND);
	}
	$text .= "</form>";
	
	$ns->tablerender(LAN_PLUGIN_SURVEY_NAME.SEP.LAN_MANAGE, $mes->render(). $text);
}


function admin_config_adminmenu() 
{
	$action = varset($_GET['mode']) ? $_GET['mode'] : "list";
    $var['list']['text'] = LAN_MANAGE;
	$var['list']['link'] = e_SELF;
	$var['list']['perm'] = "P";
	$var['create']['text'] = LAN_CREATE ;
	$var['create']['link'] = e_SELF."?mode=create";
	$var['create']['perm'] = "P";
/*	$var['import']['text'] = GSLAN_23;
	$var['import']['link'] = e_SELF."?import";
	$var['import']['perm'] = "0";*/

	$icon  = e107::getParser()->toIcon(e_PLUGIN.'survey/images/surveys_32.png');
	$caption = $icon."<span>".LAN_PLUGIN_SURVEY_NAME."</span>";

	show_admin_menu($caption, $action, $var);
}
?>