<?php
/*
 * e107 website system
 *
 * Copyright (C) 2008-2017 e107 Inc (e107.org)
 * Released under the terms and conditions of the
 * GNU General Public License (http://www.gnu.org/licenses/gpl.txt)
 *
 */
 
if (!defined('e107_INIT')) { exit; }

/* ################################# */
/*		template for surveys when user HASN'T voted ...			*/
e107::includeLan(e_PLUGIN.'survey/languages/'.e_LANGUAGE.'.php');

$SURVEY_NOTVOTED_START = "
<div style='text-align:center'>
<p>
<br />
<b><i>{SQUESTION}</i></b>
</p>
<hr />
</div>
<p>
<br />
";

$SURVEY_NOTVOTED_LOOP = "
{SOPTIONBUTTON}<b>{SOPTION}</b>
<br /><br />";

$SURVEY_NOTVOTED_END = "
</p>
<div style='text-align:center' class='smalltext'>
<p>
{SSUBMITBUTTON}
<br /><br />
{SAUTHOR}
<br />
{SVOTE_TOTAL} {SCOMMENTS}
<br />
{SOLDSURVEYS}
</p>
</div>";


/* ################################# */
/*		template for polls when user HAS voted ...			*/

$SURVEY_VOTED_START = "
<div style='text-align:center'>
<br />
<b><i>{SQUESTION}</i></b>
<hr />
</div>
<br />
";

$SURVEY_VOTED_LOOP = "
<b>{SOPTION}</b>
<br /><div class='spacer'>{SBAR}</div><br />
<span class='smalltext'>{SVOTES} | {SPERCENTAGE}</span>
<br /><br />
";

$SURVEY_VOTED_END = "
<div style='text-align:center' class='smalltext'>
{SAUTHOR}
<br />
{SVOTE_TOTAL} {SCOMMENTS}
<br />
{SOLDSURVEYS}
</div>
";


/* ################################# */
/*		template for surveys when user CANNOT vote ...		*/


$SURVEY_DISALLOWED_START = "
<div style='text-align:center'>
<br />
<b><i>{SQUESTION}</i></b>
<hr />
</div>
<br />
";

$SURVEY_DISALLOWED_LOOP = "
<b>{SOPTION}</b>
<br /><br />
";

$SURVEY_DISALLOWED_END = "
<div style='text-align:center' class='smalltext'>
{SDISALLOWMESSAGE}<br /><br />
{SVOTE_TOTAL} {SCOMMENTS}
<br />
{SOLDSURVEYS}
</div>
";


/* ################################# */
/*		template for forum surveys when user HASN'T voted*/

$SURVEY_FORUM_NOTVOTED_START = "
<div style='text-align:center; margin-left: auto; margin-right: auto;'>
<table class='fborder' style='width: 350px;'>
<tr>
<td class='forumheader' style='width: 100%; text-align: center;'>
<b><i>{SQUESTION}</i></b>
</td>
</tr>
<tr>
<td class='forumheader3' style='width: 100%;'>";

$SURVEY_FORUM_NOTVOTED_LOOP = "
{SOPTIONBUTTON}<b>{SOPTION}</b>
<br /><br />";

$SURVEY_FORUM_NOTVOTED_END = "
</td>
</tr>

<tr>
<td class='forumheader' style='width: 100%;'>
<div style='text-align:center' class='smalltext'>
{SSUBMITBUTTON}
</div>
</td>
</tr>
</table>
</div>";


/* ################################# */
/*		template for forum polls when user HAS voted		*/

$SURVEY_FORUM_VOTED_START = "
<div style='text-align:center; margin-left: auto; margin-right: auto;'>
<table class='fborder' style='width: 350px;'>
<tr>
<td class='forumheader' style='width: 100%; text-align: center;'>
<b><i>{SQUESTION}</i></b>
</td>
</tr>
<tr>
<td class='forumheader3' style='width: 100%;'>
";

$SURVEY_FORUM_VOTED_LOOP = "
<b>{SOPTION}</b>
<br />{SBAR}<br />
<span class='smalltext'>{SVOTES} | {SPERCENTAGE}</span>
<br /><br />
";

$SURVEY_FORUM_VOTED_END = "
</td>
</tr>

<tr>
<td class='forumheader' style='width: 100%;'>
<div style='text-align:center' class='smalltext'>
{SVOTE_TOTAL}
</div>
</td>
</tr>
</table>
</div>
";



/*	v2.x template for  polls when user has not voted 	*/

$SURVEY_TEMPLATE = array();


$SURVEY_TEMPLATE['form']['start'] = "
<div class='clearfix'>
	<div>
		<div class='form-group control-group'>
			Survey: {SQUESTION}
			
";

$SURVEY_TEMPLATE['form']['item'] = "
			<div class='radio'>
				{SANSWER} 
			</div>";

$SURVEY_TEMPLATE['form']['end'] = "
			
		</div>
		<div class='control-group'>
			 <div class='controls text-center'>
				{SSUBMITBUTTON}	
			</div>
		</div>
	</div>
</div>
";



/*	v2.x template for polls when user HAS voted		*/

$SURVEY_TEMPLATE['results']['start'] = "
<div class='clearfix'>
	<div>
		<h5>Survey: {SQUESTION}</h5>
";

$SURVEY_TEMPLATE['results']['item'] = "
			<strong>{SOPTION}</strong><small class='pull-right'><a href='#' class='e-tip' title=\"{SVOTES}\">{SPERCENTAGE}</a></small>
			{SBAR}
";

$SURVEY_TEMPLATE['results']['end'] = "
		<div class='text-center'><small>{VOTE_TOTAL}</small></div>
		 {SCOMMENTS} {SOLDSURVEYS}
	</div>
</div>
";

/*	v2.x template for polls when user HAS been denied the ability to vote (userclass)	*/

$SURVEY_TEMPLATE['denied']['start'] = $SURVEY_TEMPLATE['results']['start'];
$SURVEY_TEMPLATE['denied']['item'] = $SURVEY_TEMPLATE['results']['item'];
$SURVEY_TEMPLATE['denied']['end'] = "<div class='alert text-warning text-center'>{DISALLOWMESSAGE}</div>
		<div class='text-center'><small>{VOTE_TOTAL}</small></div>
		 {SCOMMENTS} {SOLDSURVEYS}
	</div>
</div>
";


?>
